//
//  XBiOSt.h
//  X-BASIC'
//
//  Created by AIG-Soft(iMac) on 2015/06/07.
//  Copyright (c) 2015年 AIG-Soft. All rights reserved.
//
// 他で使うため公開すべき関数のみ宣言

#include "XB.h"
#import "tConsole.h"

#ifndef X_BASIC_for_iOS_XBiOSt_h
#define X_BASIC_for_iOS_XBiOSt_h

RET_FUNC _F_atrb(SWord numFAC,FAC fac[]);
RET_FUNC _F_tColor(SWord numFAC,FAC fac[]);
RET_FUNC _F_cls(SWord numFAC,FAC fac[]);
RET_FUNC _F_wait(SWord numFAC,FAC fac[]);
RET_FUNC _F_locate(SWord numFAC,FAC fac[]);
void _F_tBackgroundAlphaSub(double alpha);
RET_FUNC _F_fontSize(SWord numFAC,FAC fac[]);
RET_FUNC _F_isLandscape(SWord numFAC,FAC fac[]);

void waitSub(NSTimeInterval tm);

//----------------------------------------------------------------------------------------------
// startup.basでの設定も合わすこと

enum {
	CTBLACK      =0x000000ff,
	CTBLUE       =0x00007fff,
	CTRED        =0x7f0000ff,
	CTMAGENTA    =(CTBLUE|CTRED),
	CTGREEN      =0x007f00ff,
	CTCYAN       =(CTBLUE|CTGREEN),
	CTYELLOW     =(CTRED |CTGREEN),
	CTWHITE      =0x7f7f7fff,
	// 以下highlight色 / highlight color
	CTHBLACK     =CTBLACK,
	CTHBLUE      =0x0000ffff,
	CTHRED       =0xff0000ff,
	CTHMAGENTA   =(CTHBLUE|CTHRED),
	CTHGREEN     =0x00ff00ff,
	CTHCYAN      =(CTHBLUE|CTHGREEN),
	CTHYELLOW    =(CTHRED |CTHGREEN),
	CTHWHITE     =0xffffffff,
};

//----------------------------------------------------------------------------------------------

#endif
